#!/usr/bin/python
import time, os
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)
LED = 25
GPIO.setup(LED, GPIO.OUT)
BLINK = 0.25
PAUSE = 1.0

CMD = "hostname -I"
ip = os.popen(CMD).readline()
print ip

for i in ip:
    if i in "0123456789":
        z = int(i)
        if z == 0:
            z = 10
        for j in range(z):
            GPIO.output(LED,1)
            time.sleep(BLINK)
            GPIO.output(LED,0)
            time.sleep(BLINK)
        time.sleep(PAUSE)
    else:
        GPIO.output(LED,1)
        time.sleep(PAUSE)
        GPIO.output(LED,0)
        time.sleep(PAUSE)

GPIO.cleanup()
